<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Repositories\ApontamentoVeiculoGastoAnexoRepository;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoAnexo;
use Schaffen\Gef\Validators\ApontamentoVeiculoGastoAnexoValidator;

/**
 * Class ApontamentoVeiculoGastoAnexoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class ApontamentoVeiculoGastoAnexoRepositoryEloquent extends BaseRepository implements ApontamentoVeiculoGastoAnexoRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ApontamentoVeiculoGastoAnexo::class;
    }

    /**
    * Specify Validator class name
    *
    * @return mixed
    */
    public function validator()
    {

        return ApontamentoVeiculoGastoAnexoValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }
    
}
